<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
XmlPrint
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.xml.config.XmlPrint class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="XmlPrint";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlPrint.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html" title="class in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlPrint.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlPrint.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.xml.config</FONT>
<BR>
Class XmlPrint</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.xml.config.XmlPrint</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.59"><B>XmlPrint</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <tt>XmlPrint</tt> class contains methods to print xml nicely, that is
 whith desired indenting.
 <p>
 The current implementation does not support textual content and does not 
 print comments. A supported xml file should thus contain textual information
 in the attributes of the elements, and elements themselves should only 
 contain attributes and nested elements.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#mIndention">mIndention</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#XmlPrint()">XmlPrint</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for default indention, that is a single tab per indention
 level</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#XmlPrint(java.lang.String)">XmlPrint</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;indention)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for given indention</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#getIndention()">getIndention</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the per-level indention.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Document)">print</A></B>(org.dom4j.Document&nbsp;doc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given document to the standard output</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Document, java.io.OutputStream)">print</A></B>(org.dom4j.Document&nbsp;doc,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given document to the given output stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Document, java.io.PrintWriter)">print</A></B>(org.dom4j.Document&nbsp;doc,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given document using the given print writer</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Document, java.io.Writer)">print</A></B>(org.dom4j.Document&nbsp;doc,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given document using the given writer</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Element)">print</A></B>(org.dom4j.Element&nbsp;elem)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given element to the standard output</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Element, java.io.OutputStream)">print</A></B>(org.dom4j.Element&nbsp;elem,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given element to the given output stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Element, java.io.PrintWriter)">print</A></B>(org.dom4j.Element&nbsp;elem,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given element using the given print writer</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Element, java.lang.String, java.io.PrintWriter)">print</A></B>(org.dom4j.Element&nbsp;elem,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;indention,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given element using the given print writer and initial 
 indention</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#print(org.dom4j.Element, java.io.Writer)">print</A></B>(org.dom4j.Element&nbsp;elem,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Print the given element using the given writer</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#printDeclaration(org.dom4j.Document, java.io.PrintWriter)">printDeclaration</A></B>(org.dom4j.Document&nbsp;doc,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Prints the xml declaration (the first line of an xml file)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#toString(org.dom4j.Document)">toString</A></B>(org.dom4j.Document&nbsp;doc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the given document as a string</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/xml/config/XmlPrint.html#toString(org.dom4j.Element)">toString</A></B>(org.dom4j.Element&nbsp;elem)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the given element as a string</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="mIndention"><!-- --></A><H3>
mIndention</H3>
<PRE>
protected final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.61"><B>mIndention</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="XmlPrint()"><!-- --></A><H3>
XmlPrint</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.67"><B>XmlPrint</B></A>()</PRE>
<DL>
<DD>Constructor for default indention, that is a single tab per indention
 level
<P>
</DL>
<HR>

<A NAME="XmlPrint(java.lang.String)"><!-- --></A><H3>
XmlPrint</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.74"><B>XmlPrint</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;indention)</PRE>
<DL>
<DD>Constructor for given indention
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>indention</CODE> - the desired indention per level</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="print(org.dom4j.Document)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.82"><B>print</B></A>(org.dom4j.Document&nbsp;doc)</PRE>
<DL>
<DD>Print the given document to the standard output
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Document, java.io.OutputStream)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.90"><B>print</B></A>(org.dom4j.Document&nbsp;doc,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</PRE>
<DL>
<DD>Print the given document to the given output stream
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document<DD><CODE>out</CODE> - the output stream to write to</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Document, java.io.Writer)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.98"><B>print</B></A>(org.dom4j.Document&nbsp;doc,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD>Print the given document using the given writer
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document<DD><CODE>writer</CODE> - the writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Document, java.io.PrintWriter)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.106"><B>print</B></A>(org.dom4j.Document&nbsp;doc,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</PRE>
<DL>
<DD>Print the given document using the given print writer
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document<DD><CODE>writer</CODE> - the print writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Element)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.115"><B>print</B></A>(org.dom4j.Element&nbsp;elem)</PRE>
<DL>
<DD>Print the given element to the standard output
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Element, java.io.OutputStream)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.123"><B>print</B></A>(org.dom4j.Element&nbsp;elem,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out)</PRE>
<DL>
<DD>Print the given element to the given output stream
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element<DD><CODE>out</CODE> - the output stream to write to</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Element, java.io.Writer)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.131"><B>print</B></A>(org.dom4j.Element&nbsp;elem,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD>Print the given element using the given writer
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element<DD><CODE>writer</CODE> - the writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Element, java.io.PrintWriter)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.139"><B>print</B></A>(org.dom4j.Element&nbsp;elem,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</PRE>
<DL>
<DD>Print the given element using the given print writer
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element<DD><CODE>writer</CODE> - the print writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="print(org.dom4j.Element, java.lang.String, java.io.PrintWriter)"><!-- --></A><H3>
print</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.150"><B>print</B></A>(org.dom4j.Element&nbsp;elem,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;indention,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</PRE>
<DL>
<DD>Print the given element using the given print writer and initial 
 indention
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element<DD><CODE>indention</CODE> - the initial indention<DD><CODE>writer</CODE> - the print writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="toString(org.dom4j.Document)"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.203"><B>toString</B></A>(org.dom4j.Document&nbsp;doc)</PRE>
<DL>
<DD>Returns the given document as a string
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document</DL>
</DD>
</DL>
<HR>

<A NAME="toString(org.dom4j.Element)"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.212"><B>toString</B></A>(org.dom4j.Element&nbsp;elem)</PRE>
<DL>
<DD>Returns the given element as a string
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elem</CODE> - the xml element</DL>
</DD>
</DL>
<HR>

<A NAME="printDeclaration(org.dom4j.Document, java.io.PrintWriter)"><!-- --></A><H3>
printDeclaration</H3>
<PRE>
protected void <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.224"><B>printDeclaration</B></A>(org.dom4j.Document&nbsp;doc,
                                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer)</PRE>
<DL>
<DD>Prints the xml declaration (the first line of an xml file)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>doc</CODE> - the xml document<DD><CODE>writer</CODE> - the writer to use for the output</DL>
</DD>
</DL>
<HR>

<A NAME="getIndention()"><!-- --></A><H3>
getIndention</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/xml/config/XmlPrint.html#line.243"><B>getIndention</B></A>()</PRE>
<DL>
<DD>Returns the per-level indention. Has been specified when this 
 <code>XmlPrint</code> instance was instantiated.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/XmlPrint.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlNode.html" title="interface in ch.javasoft.xml.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/xml/config/XmlUtil.html" title="class in ch.javasoft.xml.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/xml/config/XmlPrint.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="XmlPrint.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
